Package Details: sublime-text-dev 4.4122-1

Git Clone URL: https://aur.archlinux.org/sublime-text-dev.git (read-only, click to copy)
Package Base: sublime-text-dev
Description: Sophisticated text editor for code, html and prose - dev build
Upstream URL: https://www.sublimetext.com/dev
Licenses: custom
Conflicts: sublime-text
Provides: sublime-text
Submitter: realitygaps
Maintainer: SunRed (edub4rt)
Last Packager: SunRed
Votes: 527
Popularity: 0.136013
First Submitted: 2011-11-10 18:32
Last Updated: 2021-11-03 15:22

Pinned Comments

SunRed commented on 2021-05-21 13:04

To cut down the amount of packages to be maintained and to decrease confusion, this package is now used for the 'dev' branch of Sublime Text that is kept up to date with the most recent version. Users who want to stay on the latest legacy versions or the most recent stable release should stick to the respective stable release packages (sublime-text-3, sublime-text-4) or use the official repos provided by Sublime Text.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

madwifi commented on 2017-09-19 06:52

the package build is using the nightly's source(3144), and now requires users to enter the license key (nightly is only for registered users). the following diff should fix it for now:

diff --git a/PKGBUILD b/PKGBUILD
index 4278975..99ccc05 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Contributor: realitygaps <realitygaps at yahoo dot com>

pkgname=sublime-text-dev
-pkgver=3.3144
+pkgver=3.3143
pkgrel=1
pkgdesc="Sophisticated text editor for code, html and prose - dev build"
arch=('i686' 'x86_64')
@@ -19,8 +19,8 @@ source_i686=("https://download.sublimetext.com/sublime_text_3_build_${pkgver:2}_
source_x86_64=("https://download.sublimetext.com/sublime_text_3_build_${pkgver:2}_x64.tar.bz2")

sha256sums=('f355c6bec64e962a5735d0a7d1e11ac39b5b82aacaaf23b222c0bc202e15d866')
-sha256sums_i686=('f6c868ee6beccf57fd3799fb93c896fc1efc112ae6390cde43b14cb162510925')
-sha256sums_x86_64=('676cc7c8815e5aceeeda79ceab93a5150e76ae5160b5f5f9ab61ce731ab46928')
+sha256sums_i686=('b1ecc4b70d66b9236b876f1913c4094b6dd51436e45c74883ba70a1939e9f735')
+sha256sums_x86_64=('9ce120c4f28b239d3b3860ee672d9d87e1397a4c08ee6c4e62fd6e261a296519')

package() {
cd "${srcdir}"

Venom1991 commented on 2017-09-14 08:51

I've just replaced this package with the one in the author's repository (using pacman instead of an AUR helper, of course) and no issues arose at all - each and every setting was preserved as well as extra packages, themes and such.
I'm just writing this as sort of a reassurement for those who are "afraid" something might break in the process, especially since the new build's changelog is pretty damn huge.
The only real difference I've noticed is that the launch script (located in /bin) is no longer named "subl3" but simply "subl".

EDIT: In case your pacman.conf contains the "archlinuxfr" repository be sure to put the "sublime-text" repository before it (to enforce precedence) because "archlinuxfr" has a Sublime Text 2 package which is definitely not what you want.

awagner commented on 2017-09-13 20:14

On the official repos there is no i386 build, neither for the stable nor for the dev channel. For this reason I would be really grateful if this package would continue to be maintained. (I might switch to the nightly package however.) Thank you for the work you have put into it so far!

Plexcon commented on 2017-09-13 15:19

3.0 (Build 3143) Update, please

sender commented on 2017-07-18 10:44

@BurhanDanger I'm OK with maintaining the package if there is demand for it.

BurhanDanger commented on 2017-07-17 09:43

Will this package be maintained now that ST has sophisticated repo&package ?

sender commented on 2017-06-04 15:31

Since 26 May 2017 Sublime Text 3 is available via the dedicated pacman repo provided by the author. From now on this is the recommended way to install ST3 on Arch Linux.

Package sublime-text-dev is replaced by repo 'stable'.
Package sublime-text-nightly is replaced by repo 'dev'.

See: https://www.sublimetext.com/docs/3/linux_repositories.html#pacman

FranklinYu commented on 2017-04-19 21:48

Thank you @Marcel_K! Glad that I don't need to do that myself.

Marcel_K commented on 2017-04-19 17:34

Sort of: the symlink is called `subl3`, to avoid a conflict with the sublime-text package (version 2).

FranklinYu commented on 2017-04-19 14:30

Does this package generate a symbolic link to `subl` in my path? [The Ubuntu PPA I used before](https://launchpad.net/~webupd8team/+archive/ubuntu/sublime-text-3) seemed to do that. It's very handy as I use Sublime Text as replacement for Vim.